.newsletter-container p {
    display: flex;
    flex-direction: column;
    align-items: center;
   
}

.newsletter-email {
    margin-bottom: 1rem;
    border: 1px solid #8B8D94;
    border-radius: 4px;
    max-width: 380px;
    padding: 10px 16px !important;
    /* Ajout d'un padding vertical pour la hauteur */
    font-size: 1.25rem;
    color: var(--text-color, #333);
    outline: none;
}

/* Le bouton */
.newsletter-bouton-sabonner {
    margin-bottom: 0.5rem;
    text-align: center;
    background-color: #D39416 !important;
    color: #fff !important;
    padding: 10px 32px !important;
    border-radius: 4px !important;
    border: none !important;
    cursor: pointer;
    font-size: 1.5rem;
    font-weight: bold;
    transition: background 0.3s ease;
}

.newsletter-bouton-sabonner:hover {
    background-color: #EAB23D !important;
    /* Un peu plus foncé au survol */
}

@media (max-width: 480px) {
    .newsletter-container {
        flex-direction: column;
    }

    .newsletter-email {
        width: 100%;
    }
}

.contact-formulaire {
    padding: 2rem;
    border: 1px solid #848686;
    border-radius: 4px;


    input, textarea {
        width: 100%;
        padding: 1rem 1.5rem;
        border-radius: 4px;

        &:focus {
            border: 1px solid var(--secondary-color);
            outline: none;
        }
    }


    p:has(input[type="submit"]) {
        margin: 0;
        padding: 0;
        display: flex;
        align-items: center;
        gap: 1rem;
    }

    .btn-submit {
        border: none;
        text-align: center;
        width: 50%;
        padding: 0.75rem 1.5em;
        background-color: var(--primary-color);
        cursor: pointer;
        font-size: 1rem;
        color: white;

        &:hover {
            background-color: #2B6699;
        }
    }
}